Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng
Class MutableStyleEx

    java.lang.Object
      nextapp.echo2.app.MutableStyle
          echopointng.MutableStyleEx

All Implemented Interfaces:
  java.io.Serializable, Style

    public class MutableStyleEx

extends MutableStyle

`MutableStyleEx` is a `MutableStyle` with more setters for the basic Java types. Its allows for `setProperty(PROP_NAME,true)` instead of `setProperty(PROP_NAME,new Boolean(true))`, which I beleive is a lot more natural.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class nextapp.echo2.app.MutableStyle
`MutableStyle.IndexedPropertyValue`

Constructor Summary
`MutableStyleEx()` Constructs an empty `MutableStyleEx`
`MutableStyleEx(Style otherStyle)` Constructs a `MutableStyleEx` based on the values of a another `Style`.

Method Summary
`void` | `setProperty(java.lang.String propertyName, boolean propertyValue)`
`void` | `setProperty(java.lang.String propertyName, byte propertyValue)`
`void` | `setProperty(java.lang.String propertyName, char propertyValue)`
`void` | `setProperty(java.lang.String propertyName, double propertyValue)`
`void` | `setProperty(java.lang.String propertyName, float propertyValue)`
`void` | `setProperty(java.lang.String propertyName, int propertyValue)`
`void` | `setProperty(java.lang.String propertyName, long propertyValue)`
`void` | `setProperty(java.lang.String propertyName, short propertyValue)`

Methods inherited from class nextapp.echo2.app.MutableStyle
`addStyleContent, getIndexedProperty, getProperty, getPropertyIndices, getPropertyNames, isIndexedPropertySet, isPropertySet, removeIndexedProperty, removeProperty, setIndexedProperty, setProperty, size, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MutableStyleEx

    public MutableStyleEx()

  Constructs an empty `MutableStyleEx`

### MutableStyleEx

    public MutableStyleEx(Style otherStyle)

  Constructs a `MutableStyleEx` based on the values of a another `Style`.

  Unlike a `DerivedMutableStyle`, this makes a direct copy of the `otherStyle` and sets those values into this `MutableStyleEx`

  Parameters:
    `otherStyle` - - the other `Style` to copy

Method Detail

### setProperty

    public void setProperty(java.lang.String propertyName,
                            byte propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            short propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            int propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            long propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            float propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            double propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            char propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

### setProperty

    public void setProperty(java.lang.String propertyName,
                            boolean propertyValue)

  See Also:
    `MutableStyle.setProperty(java.lang.String, java.lang.Object)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD